////////////////////////////////////////////////////////////////////////////////
// Copyright (c) 1995-2009 Xilinx, Inc.  All rights reserved.
////////////////////////////////////////////////////////////////////////////////
//   ____  ____
//  /   /\/   /
// /___/  \  /    Vendor: Xilinx
// \   \   \/     Version: L.68
//  \   \         Application: netgen
//  /   /         Timestamp: Mon Mar 01 14:03:35 2010
// /___/   /\     
// \   \  /  \ 
//  \___\/\___\
//             
// Command: -intstyle ise -s 3 -pcf XAPP_SS.pcf -tb -ti UUT -sdf_anno true -sdf_path C:/designs/standrews/xapp_ss/xapp_zip_xstyle_check/rtl/netgen/par -ism -insert_glbl true -insert_pp_buffers false -w -dir netgen/par -ofmt verilog -sim XAPP_SS.ncd XAPP_SS_timesim.v 
// Design Name: XAPP_SS
//             
// Purpose:    
//     Xilinx TestFixture Template produced by program netgen L.68
//             
//     ATTENTION: This file was created by netgen and may therefore be 
//     overwritten by subsequent runs of netgen. Xilinx recommends that you 
//     copy this file to a new name, or 'paste' this text into another file, 
//     to avoid accidental loss of data.
//             
////////////////////////////////////////////////////////////////////////////////

`include "C:/Xilinx/11.1/ISE/verilog/src/glbl.v"
`timescale 1 ns/1 ps

  module test;
    reg CLKIN_P;
    reg CLKIN_N;
    reg RST;
    wire CLKREF_P;
    wire CLKREF_N;
    wire CLKPLL_P;
    wire CLKPLL_N;
    wire LOCKED_PLL;
    wire DCM_LCKD;
    wire CLK_LCKD_OUT;
    wire SSMOD_FREQ;
    reg GSR_PORT;
    XAPP_SS UUT (
      .CLKIN_P (CLKIN_P),
      .CLKIN_N (CLKIN_N),
      .RST (RST),
      .CLKREF_P (CLKREF_P),
      .CLKREF_N (CLKREF_N),
      .CLKPLL_P (CLKPLL_P),
      .CLKPLL_N (CLKPLL_N),
      .LOCKED_PLL (LOCKED_PLL),
      .DCM_LCKD (DCM_LCKD),
      .CLK_LCKD_OUT (CLK_LCKD_OUT),
      .SSMOD_FREQ (SSMOD_FREQ),
      .GSR_PORT (GSR_PORT)
    );



initial
    begin
        RST = 1'b0;
        CLKIN_P = 1'b0;
        CLKIN_N = 1'b1;
        GSR_PORT = 1'b1;
    end

always
     begin
         #10 CLKIN_P = ! CLKIN_P;
     end

always
     begin
         #10 CLKIN_N = ! CLKIN_N;
     end

endmodule
